Loading...
Searching...
No Matches
vkd3d_shader_dxbc_desc Struct Reference

A description of a DXBC blob, as returned by vkd3d_shader_parse_dxbc(). More...

`#include <vkd3d_shader.h>`

Collaboration diagram for vkd3d_shader_dxbc_desc:
[legend]

## Data Fields

uint32_t | tag
| The DXBC tag.
uint32_t | checksum [4]
| A checksum of the DXBC contents.
unsigned int | version
| The DXBC version.
size_t | size
| The total size of the DXBC blob.
size_t | section_count
| The number of sections contained in the DXBC.
struct vkd3d_shader_dxbc_section_desc * | sections
| Descriptions of the sections contained in the DXBC.

## Detailed Description

A description of a DXBC blob, as returned by vkd3d_shader_parse_dxbc().

Since
  1.7

## Field Documentation

## tag

uint32_t vkd3d_shader_dxbc_desc::tag

The DXBC tag.

This will always be "DXBC" in structures returned by this version of vkd3d-shader.

## version

unsigned int vkd3d_shader_dxbc_desc::version

The DXBC version.

This will always be 1 in structures returned by this version of vkd3d-shader.

The documentation for this struct was generated from the following file:

- include/vkd3d_shader.h